#include <msp/graphics/window.h>
#include "mouse.h"

namespace Msp {
namespace Input {

Mouse::Mouse(Graphics::Window &w):
	window(w)
{
	name = "Mouse";

	buttons.resize(3);
	axes.resize(2);

	window.signal_input_event.connect(sigc::mem_fun(this, &Mouse::input_event));
}

std::string Mouse::get_button_name(unsigned btn) const
{
	switch(btn)
	{
	case 1:
		return "Left";
	case 2:
		return "Middle";
	case 3:
		return "Right";
	case 4:
		return "Wheel Up";
	case 5:
		return "Wheel Down";
	default:
		return Device::get_button_name(btn);
	}
}

std::string Mouse::get_axis_name(unsigned axis) const
{
	switch(axis)
	{
	case 0:
		return "X axis";
	case 1:
		return "Y axis";
	default:
		return Device::get_axis_name(axis);
	};
}

} // namespace Input
} // namespace Msp
